﻿import mx.transitions.Tween;
import mx.transitions.easing.*;

//fscommand("allowscale","true");
fscommand("fullscreen","true");

toutesInstancesAlpha_array = new Array ("T_0", "BulleSol", "Sol", "F_0", "FB1", "FB2", "FB3", "FB4", "H1", "H2", "H3", "H4", "TB1A", "TB1B", "TB1C", "TB2B", "TB2C", "TB3C", "TB4", "TB1Choix", "TB2Choix", "TB3Choix");
tousBoutons_array = new Array ("B1", "B2", "B3", "B4");

setUpAlphaInstancesAlpha();
B1.B1T._alpha = 50; B2.B2T._alpha = 50; B3.B3T._alpha = 50; B4.B4T._alpha = 50;
var tw:Tween = new Tween(F_0,"_alpha",Strong.easeOut,F_0._alpha,100,1,true);
var tw:Tween = new Tween(BulleSol,"_alpha",Strong.easeOut,BulleSol._alpha,100,2,true);
var tw:Tween = new Tween(Sol,"_alpha",Strong.easeOut,Sol._alpha,100,2,true);
var tw:Tween = new Tween(T_0,"_alpha",Strong.easeOut,T_0._alpha,100,2,true);

this.onLoad = function (){
	var tsBtnCnt = tousBoutons_array.length;
	for (j=0; j<tsBtnCnt; j++) {
	var temp = this[tousBoutons_array[j]];
	temp.onRollOver = BtnRollOver;
	temp.onRollOut = BtnRollOut;
	temp.onRelease = BtnRelease;
	};
}

onEnterFrame = function (){
};

stop();

function BtnRollOver() {
	var btn:MovieClip = this;
	var btnt = this[String(this).substr(8,2)+"T"];
	var btnh = this._parent["H"+String(this).substr(9,1)];
	MyScaleTween(btn, 100, 0.2);
	MyScaleTween(btnh, 110, 1);
	My1AlphTween(btnt, 0.2);
	}

function BtnRollOut() {
	var btn:MovieClip = this;
	var btnt = this[String(this).substr(8,2)+"T"];
	var btnh = this._parent["H"+String(this).substr(9,1)];
	MyScaleTween(btn, 80, 1);
	MyScaleTween(btnh, 80, 1);
	var tw:Tween = new Tween(btnt,"_alpha",Strong.easeOut,tt._alpha,50,0.2,true);
}

function MyScaleTween(qui, pourcent, duree){
	var tw:Tween = new Tween(qui,"_xscale",Strong.easeOut,qui._xscale,pourcent,duree,true);
	var tw:Tween = new Tween(qui,"_yscale",Strong.easeOut,qui._yscale,pourcent,duree,true);
}

function My1AlphTween(qui, duree){
	var tw:Tween = new Tween(qui,"_alpha",Strong.easeOut,qui._alpha,100,duree,true);
}
function My0AlphTween(qui, duree){
	var tw:Tween = new Tween(qui,"_alpha",Strong.easeOut,qui._alpha,0,duree,true);
}

function BtnRelease(){
	setUpAlphaInstancesAlpha();
	if (this==_level0.B1) {
		My1AlphTween(FB1,1);
		My1AlphTween(H1,1);
		FB1.play();
		a=setInterval (My1AlphTween, 200, TB1Choix, 1);
		b=setInterval (My1AlphTween, 800, TB1A, 2);
		c=setInterval (My1AlphTween, 1500, TB1B, 2);
		d=setInterval (My1AlphTween, 2000, TB1C, 2);
		setInterval (clearInterval, 250, a);
		setInterval (clearInterval, 850, b);
		setInterval (clearInterval, 1550, c);
		setInterval (clearInterval, 2050, d);
		}
	else if (this==_level0.B2) {
		My1AlphTween(FB2,1);
		My1AlphTween(H2,1);
		FB2.play();
		e=setInterval (My1AlphTween, 200, TB2Choix, 1);
		f=setInterval (My1AlphTween, 800, TB2B, 2);
		g=setInterval (My1AlphTween, 1500, TB2C, 2);
		setInterval (clearInterval, 250, e);
		setInterval (clearInterval, 850, f);
		setInterval (clearInterval, 1550, g);
		}
	else if (this==_level0.B3) {
		My1AlphTween(FB3,1);
		My1AlphTween(H3,1);
		FB3.play();
		h=setInterval (My1AlphTween, 200, TB3Choix, 1);
		i=setInterval (My1AlphTween, 800, TB3C, 2);
		setInterval (clearInterval, 250, h);
		setInterval (clearInterval, 850, i);
		}
	else if (this==_level0.B4) {
		My1AlphTween(FB4,1);
		My1AlphTween(H4,1);
		FB4.play();
		j=setInterval (My1AlphTween, 800, TB4, 2);
		setInterval (clearInterval, 2900, j);
		}
	else {
		My1AlphTween(F_0,1);
		My1AlphTween(BulleSol,2);
		My1AlphTween(Sol,2);
		My1AlphTween(T_0,2);
		};
}

function setUpAlphaInstancesAlpha() {
	var ttesInstCnt = toutesInstancesAlpha_array.length;
	for (i=0; i<ttesInstCnt; i++) {
		var temp = this[toutesInstancesAlpha_array[i]];
		trace(temp);
		My0AlphTween(temp, 0.05);
                };
};